Get started

RADOS Gateway

Manage RADOS Gateway instances and RGW user accounts.


List Gateways

GET /gateways/rgw

List all deployed RGW instances across the cluster.

Response
[
  {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "nodeHostname": "worker-01",
    "status": "active"
  }
]

Deploy Gateway

POST /gateways/rgw/deploy

Deploy a new RGW instance on the specified node.

Request body

nodeId UUID required
Target node ID
Response
{
  "status": "scheduled"
}

Remove Gateway

POST /gateways/rgw/{id}/remove

Remove an RGW instance by ID.

Response
{ "status": "scheduled" }

List Users

GET /gateways/rgw/users

List all RGW user accounts.

Response
[
  {
    "userId": "jdoe",
    "displayName": "Jane Doe",
    "email": "jane@example.com"
  }
]

Create User

POST /gateways/rgw/users

Create a new RGW user account.

Request body

userId string required
Unique user identifier
displayName string required
Display name
email string
Email address
Response
{
  "userId": "jdoe",
  "displayName": "Jane Doe",
  "email": "jane@example.com",
  "keys": [
    {
      "accessKey": "AKIAIOSFODNN7EXAMPLE",
      "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
    }
  ]
}